# set OEL distribution
%define oel4  %(test "%{?dist}" = ".el4"  && echo 1 || echo 0)
%define oel5  %(test "%{?dist}" = ".el5"  && echo 1 || echo 0)

%if %oel4
%define __python /usr/bin/python24
%endif

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:ovmcli		
Version:1.0
Release: 1%{dist}
Summary: Oracle VM CLI for linux	

Group: User Interface/Desktops
License: Berkeley DB	
Source:%{name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%if %oel4
BuildRequires:  python24-devel python-setuptools
Requires: python24, python-ZSI >= 2.1
%endif
%if %oel5
BuildRequires:  python-devel >= 2.4 python-setuptools
Requires: python >= 2.4, python-ZSI >= 2.1
%endif

%description
Oracle VM CLI, the command line interface for Oracle VM Manager. Please see
/usr/share/doc/ovmcli-1.0/README for setup information.

%prep
%setup -q -n ovmcli-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/
install --mode=755 ovm $RPM_BUILD_ROOT/usr/bin/ovm
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root $RPM_BUILD_ROOT


%post
%{__python} /usr/bin/wsdl2py -b %{_docdir}/ovmcli-%{version}/AdminServiceSoapHttpPort.wsdl -o %{python_sitelib}/ovmcli/zsigen/
%{__python} /usr/bin/wsdl2py -b %{_docdir}/ovmcli-%{version}/LifecycleServiceSoapHttpPort.wsdl -o %{python_sitelib}/ovmcli/zsigen/
%{__python} /usr/bin/wsdl2py -b %{_docdir}/ovmcli-%{version}/ResourceServiceSoapHttpPort.wsdl -o %{python_sitelib}/ovmcli/zsigen/
%{__python} /usr/bin/wsdl2py -b %{_docdir}/ovmcli-%{version}/ServerPoolServiceSoapHttpPort.wsdl -o %{python_sitelib}/ovmcli/zsigen/
%{__python} /usr/bin/wsdl2py -b %{_docdir}/ovmcli-%{version}/VirtualMachineServiceSoapHttpPort.wsdl -o %{python_sitelib}/ovmcli/zsigen/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/ovm
%{python_sitelib}/ovmcli
%doc wsdl/* COPYING README
%{python_sitelib}/*egg-info


%changelog
* Mon Jul 20 2009 <Akira.Ijuin@oracle.com> - 1.0-1
- Add README

* Thu Jul 09 2009 <xiaoou.wu@oracle.com> - 0.1-19
- Some string texts changed.
- Some options in 'vm new' changed.

* Wed Jul 08 2009 <xiaoou.wu@oracle.com> - 0.1-18
- Some string texts changed.

* Tue Jul 07 2009 <xiaoou.wu@oracle.com> - 0.1-17
- Some string texts changed.

* Tue Jul 01 2009 <xiaoou.wu@oracle.com> - 0.1-16
- Rebuild

* Tue Jun 30 2009 <xiaoou.wu@oracle.com> - 0.1-15 
- Change the CLI output.
- Add lisence information.
- Add a option to 'vm ls' for showing the Server column.
- Remove the stub classes from zsigen/*
- Include 5 WSDL files to the package.
- Change the usage in ovm shell to "Usage: subcommand [suboptions]"

* Tue Jun 23 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-14
- Join the group commands and misc commands together in help message
- Remove misc commands from the group help message
- Make commands in alphabetical order in help message
- Fix the server type display in 'svr conf'
- Use "Display this help message" instead of "show this help message and exit"
  in the each usage message.

* Fri Jun 19 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-13
- Changes in help messages according to CLI text review.
- remove subcommand "level" navigation within the CLI shell.
- In shell, if a user enters a command group name (group, img,
  iso, sd,  svrp, svr, tmpl, user, val, vm), CLI should return
  the command group's help message (similar to help <cmd group>).
- Eliminate the "home" command.
- Remove support for "/" and ".."

* Mon Jun 15 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-12
- Added:
  val os            ---   List all the available Operating System Types
  val kb            ---   List all the available Keyboard Layouts
  val bootdev       ---   List all the available Boot Devices
- Removed:
  os ls

* Tue Jun 02 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-11
- Enhance the TAB auto-complete in linux

* Tue May 26 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-10
- enhance the grouping subcommands
- Introduce .. for moving up one level
- Introduce / for moving to home
- Introduce /[group] for moving to a specified group
- Introduct /[group] [subcommand] for executing a command in another command
  group without leaving the current command group.

* Mon May 25 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-9
- subcommands name changes
- added home -- Reset the shell environment

* Fri May 15 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-8 
- Beautify the output of list commands like serverpool_list, server_list etc
  to make the column alignment. 
  Instead of print a title when no resource available, print a "No XXXX
  available ".
- add a Server Name option to server_add and serverpool_create
  -n SERVER_NAME, --server_name=SERVER_NAME Server Name
- add ServerPoolName to the output of server_list
- add Virtual Machine Type and Preferred Server  to vm_info
- add check to the vm type for cdrom operations.

* Wed May 06 2009 Xiaoou Wu <xiaoou.wu@oracle.com> - 0.1-7
- Added:
  shareddisk_status, user_deassign_serverpool
  support comments in script
- Changed:
  add -P, --preferred_servers_auto to vm_config to set the mode to Auto

* Wed Apr 29 2009 Xiaoou Wu <xiaoou.wu@oracle.com>
- BugFix:
  [OVMCLI] SERVER_TYPE parameter for server_config is long
- Added:
  add https and http basic authentication support
  add template/image/iso/server status vm_set_keyboardlayout
  add more information to serverpool_info, server_info, vm_info
- Removed:
  vm_list_shareddisk amn merge it to vm_list_disk
  vm_attach_disk, vm_detach_disk, vm_attach_nic, vm_detach_nic
- Changed:
  shareddisk_add --> shareddisk_create
  user_assign_site --> user_assign_serverpool
  add group option to vm_create, image_register, image_import,shareddisk_create

* Tue Feb 24 2009 Xiaoou Wu <xiaoou.wu@oracle.com>
- initial ovmcli spec file
